Ancient Battle: Alexander

Ancient Battle: Alexander delivers a unique wargaming experience on iPhone and iPad. Use Macedonian Phalangites, Greek Hoplites, Indian Elephants, Scythed Chariots, Persian Cavalry, Catapults, Archers, Slingers, and many other unit types to engage in classic battles.Based upon, and a major upgrade to, the game system developed for Ancient Battle: Rome. A game that was the No.1 strategy game on the App Store in 8 countries and reviews included:"Delivers everything one can expect from a strategy title" - Arcade Sushi"Smart, challenging, and surprisingly substantial strategy game" - Pocket GamerIncluded in this version are three campaigns that allow you to refight Alexanders battles in and around Greece and Macedonia, including the battle of Chaeronea.The second campaign follows his push to conquer the Achaemenid Persian Empire, while having to deal with rebellious Spartans in Greece. Finally Alexanders campaign in India, ending in the epic battle of Hydaspes, with the Macedonian Pike Phalanx versus the masses of Indian Elephants.Major game system improvements on Ancient Battle: Rome include improved A.I., improved combat analysis system, better flank attack logic, better line of sight logic, Elephant Generals, and Greek Hoplites.Key Game Features:High Definition Ancient Era Graphics.7 Mission Tutorial Campaign.4 Mission Agnostos Thule campaign.8 Mission Greece Campaign playable as the Macedonians or their opponents the Athenians, Thebans, Illyrians, Getae, Thracians and Triballians.7 Mission Persia Campaign playable as the Macedonians or their opponents the Achaemenid Persians and Spartans.5 Mission India Campaign playable as the Macedonians or their opponents the Classical Indians and Scythians.48 Unique Ancient Units.Detailed Combat AnalysisFlank AttacksHours of Gameplay.Universal App (Works on iPhone & iPad)Find us on Facebook - facebook.com/hexwarFollow us on Twitter - @HexWarGamesGame Forum - forums.hexwar.com
Price USD 2.99
License Purchase
Version 2.7.6
Operating System iOS
System Requirements Requires iOS 9.1 or later. Compatible with iPhone, iPad, and iPod touch.